libretools - Bug #1513

[librechroot] Integrate chroot-nspawn
2017-10-31 09:42 PM - Megver83

Status: not-a-bug % Done: 0%
Priority: feature

Assignee: lukeshu

Category:

Description

We should integrate chroot-nspawn (or put it as a dependency) of libretools since it fixes the issue #431 of redirecting standard input

(although according to this it's fixed already in Systemd).

We can either put it as a dependency and make librechroot use chroot-nspawn when stdin is redirected (or use it by default) or make
a separated version of libretools (eg. libretools-nosystemd) which uses chroot-nspawn by default and remove the warning about the

bug of systemd-nspawn.

Related issues:

Related to libretools - Bug #431: [librechroot] Allow stdin to not be a TTY

fixed

History

#1 - 2017-10-31 09:49 PM - Megver83

- Related to Bug #431: [librechroot] Allow stdin to not be a TTY added

#2 - 2018-08-04 07:24 PM - lukeshu

- Status changed from open to not-a-bug

We don't have a "WONTFIX" status, but that's what I'd do.

Use notsystemd-nspawn.
https://www.parabola.nu/packages/pcr/any/chroot-nspawn/
https://labs.parabola.nu/issues/431
https://bugs.freedesktop.org/show_bug.cgi?id=70290
http://www.tcpdf.org

